Package org.firebirdsql.gds.impl

## Class DatabaseParameterBufferImp

- java.lang.Object
- - org.firebirdsql.gds.impl.ParameterBufferBase
  - - org.firebirdsql.gds.impl.DatabaseParameterBufferImp

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Iterable<Parameter>`, `ConnectionParameterBuffer`, `DatabaseParameterBuffer`, `ParameterBuffer`

      public final class DatabaseParameterBufferImp
      extends ParameterBufferBase
      implements DatabaseParameterBuffer

  Implementation for DatabaseParameterBuffer.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `DatabaseParameterBufferImp.DpbMetaData` |

  - ### Field Summary

    - ### Fields inherited from interface org.firebirdsql.gds.DatabaseParameterBuffer

      `ACTIVATE_SHADOW, ADDRESS_PATH, ALLOCATION, BEGIN_LOG, BUFFER_LENGTH, CACHE_MANAGER, CDD_PATHNAME, CONNECT_TIMEOUT, DAMAGED, DBKEY_SCOPE, DEBUG, DELETE_SHADOW, DISABLE_JOURNAL, DISABLE_WAL, DROP_WALFILE, DUMMY_PACKET_INTERVAL, ENABLE_JOURNAL, ENCRYPT_KEY, FORCE_WRITE, GARBAGE_COLLECT, GBAK_ATTACH, GFIX_ATTACH, GSEC_ATTACH, GSTAT_ATTACH, INTERP, JOURNAL, LC_CTYPE, LC_MESSAGES, LICENSE, NO_DB_TRIGGERS, NO_GARBAGE_COLLECT, NO_RESERVE, NUM_BUFFERS, NUMBER_OF_USERS, OLD_DUMP_ID, OLD_FILE, OLD_FILE_SIZE, OLD_NUM_FILES, OLD_START_FILE, OLD_START_PAGE, OLD_START_SEQNO, ONLINE, ONLINE_DUMP, OVERWRITE, PAGE_SIZE, PASSWORD, PASSWORD_ENC, PROCESS_ID, PROCESS_NAME, QUIT_LOG, RESERVED, SEC_ATTACH, SET_DB_CHARSET, SET_DB_READONLY, SET_DB_SQL_DIALECT, SET_PAGE_BUFFERS, SHUTDOWN, SHUTDOWN_DELAY, SQL_DIALECT, SQL_ROLE_NAME, SWEEP, SWEEP_INTERVAL, SYS_USER_NAME, SYS_USER_NAME_ENC, TRACE, TRUSTED_AUTH, USER, USER_NAME, VERIFY, WAL_BACKUP_DIR, WAL_BUFSIZE, WAL_CHKPTLEN, WAL_GRP_CMT_WAIT, WAL_NUMBUFS, WORKING_DIRECTORY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DatabaseParameterBufferImp​(DatabaseParameterBufferImp.DpbMetaData dpbMetaData, Encoding defaultEncoding)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DatabaseParameterBuffer` | `deepCopy()` | Make a deep copy of this object.
    `ParameterTagMapping` | `getTagMapping()` |

    - ### Methods inherited from class org.firebirdsql.gds.impl.ParameterBufferBase

      `addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, equals, getArgumentAsInt, getArgumentAsString, getArgumentsList, getDefaultEncoding, getLength, getParameterBufferMetaData, getType, hasArgument, hashCode, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.firebirdsql.gds.ConnectionParameterBuffer

      `getDefaultEncoding`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

      `addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

- - ### Constructor Detail

    - #### DatabaseParameterBufferImp

          public DatabaseParameterBufferImp​(DatabaseParameterBufferImp.DpbMetaData dpbMetaData,
                                            Encoding defaultEncoding)

  - ### Method Detail

    - #### deepCopy

          public DatabaseParameterBuffer deepCopy()

      Description copied from interface: `DatabaseParameterBuffer`
      Make a deep copy of this object.
      Specified by:
        `deepCopy` in interface `DatabaseParameterBuffer`
      Returns:
        deep copy of this object.

    - #### getTagMapping

          public ParameterTagMapping getTagMapping()

      Specified by:
        `getTagMapping` in interface `ConnectionParameterBuffer`
      Returns:
        The tag mapping.